This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 877629 - (CVE-2012-4207) CVE-2012-4207 Mozilla: Improper character decoding in HZ-GB-2312 charset (MFSA 2012-101)
CVE-2012-4207 Mozilla: Improper character decoding in HZ-GB-2312 charset (MFS...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121120,repor...
: Security
Depends On:
Blocks: 873088
  Show dependency treegraph
 
Reported: 2012-11-17 06:55 EST by Huzaifa S. Sidhpurwala
Modified: 2013-01-16 12:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 12:00:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-11-17 06:55:11 EST
Security researcher Masato Kinugawa found when HZ-GB-2312 charset encoding is used for text, the "~" character will destroy another character near the chunk delimiter. This can lead to a cross-site scripting (XSS) attack in pages encoded in HZ-GB-2312. 


External Reference:

http://www.mozilla.org/security/announce/2012/mfsa2012-101.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Masato Kinugawa as the original reporter.
Comment 1 errata-xmlrpc 2012-11-20 16:51:46 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1483 https://rhn.redhat.com/errata/RHSA-2012-1483.html
Comment 2 errata-xmlrpc 2012-11-20 17:12:21 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1482 https://rhn.redhat.com/errata/RHSA-2012-1482.html

Note You need to log in before you can comment on or make changes to this bug.